Subject: Re: bug#60515: 30.0.50; set-justification-center joins lines before centering

From: Andreas Schwab <[email-masked]>
Date: Tue, 03 Jan 2023 14:40:46 +0100

On Jan 03 2023, Jean Louis wrote:

> When I have following lines in text-mode:
>
> MY FIRST LINE
> SECOND LINE
> THIRD LINE
>
> and do M-x set-justification-center
>
> I get following unexpected circumstance:
>
> 		 MY FIRST LINE SECOND LINE THIRD LINE
>
> Description of the function does not say it is going to join lines. My
> expectation is not that it should join lines but center lines only.
>
> Same problem is happening with set-justification-right

All justification functions work on full paragraphs.

> And me as user I need to make double lines, do the command on each of
> the line, cumbersome work, and then join lines manually to avoid the
> above happening.

If you want to center a single line, use center-line.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."